Bug 16647 - Update debian/control for 16.*
Summary: Update debian/control for 16.*
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 16617
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-03 12:10 UTC by Mirko Tietgen
Modified: 2016-08-13 11:17 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16647 Update changelog for 16.* (1.60 KB, patch)
2016-06-03 12:15 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 16647: update debian/control for 16.* (2.91 KB, patch)
2016-06-07 00:52 UTC, Galen Charlton
Details | Diff | Splinter Review
[SIGNED-OFF]Bug 16647: update debian/control for 16.* (2.98 KB, patch)
2016-06-09 15:31 UTC, Héctor Eduardo Castro Avalos
Details | Diff | Splinter Review
Bug 16647: update debian/control for 16.* (3.04 KB, patch)
2016-06-10 13:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2016-06-03 12:10:50 UTC

    
Comment 1 Mirko Tietgen 2016-06-03 12:15:22 UTC Comment hidden (obsolete)
Comment 2 Galen Charlton 2016-06-07 00:52:15 UTC Comment hidden (obsolete)
Comment 3 Galen Charlton 2016-06-07 00:53:37 UTC
I've attached a version of the patch that reflects what I actually used when packaging 16.05.00. This should be applied to both master and 16.05.x; note that when applying it to 16.05.x, the patch for bug 16617 is needed as well.
Comment 4 Héctor Eduardo Castro Avalos 2016-06-09 15:31:21 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2016-06-10 13:32:30 UTC
Created attachment 52227 [details] [review]
Bug 16647: update debian/control for 16.*

This patch updates debian/control* to match what
was used for building the 16.05.00 packages, and includes
changes to:

- specify a floor for the Swagger2 version
- add dep on libio-socket-ip-perl, which is needed
  for the package to work on Debian Wheezy
- suggest libwww-youtube-download-perl

Signed-off-by: Galen Charlton <gmcharlt@gmail.com>
Signed-off-by: Hector Castro <hector.hecaxmmx@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Kyle M Hall 2016-06-10 17:07:09 UTC
Pushed to master for 16.11, thanks Galen!
Comment 7 Frédéric Demians 2016-06-15 07:44:41 UTC
Pushed in 16.05. Will be in 16.05.01.
Comment 8 Mirko Tietgen 2016-06-21 11:02:19 UTC
Building 3.22.x packages fails due to missing libio-socket-ip-perl at the moment. If I read Bug 15126 correctly, it is not needed on 3.22.x and can be skipped during tests (see Bug 16618). Can anyone confirm or deny? Otherwise we need the libio-socket-ip-perl dep in 3.22.x.
Comment 9 Mirko Tietgen 2016-06-21 13:19:36 UTC
After checking with Julian, we need the libio-socket-ip-perl dependency in 3.22.08.

We do not need libwww-youtube-download-perl, the feature should not be in 3.22.x.

We have libswagger2-perl 0.31 in oldstable, so the floor version added here shoould not go to 3.22.x either.
Comment 10 Mirko Tietgen 2016-06-21 21:24:01 UTC
I added bug 16788 for 3.22.x